Subject: IPP> Re: Does the world need a robust host-to-device network prin

From: Harry Lewis <[email-masked]>
Date: Tue, 10 Feb 1998 18:59:12 -0500

Jay, you asked people to state their views -

  >Enterprise environments desparately need a fully functional
  >host-to-device protocol for network printing.

I think the "question" should be qualified with the words STANDARD or WIDELY
ADOPTED. Otherwise, it can be argued that the enterprise is already full of
host-to-device protocols for network printing, some of which are defacto
standards (in various markets), some of which are published and updated, with a
single point of control, and some which are registered, open standards... none
of which are universally adopted in the world of network printing, today.

When I addressed standardizing submission to the device with my late 1995
presentation on a "job information wrapper" (possibly a first step toward a
*standard* full function network printing protocol), it became clear to me that
members saw no need to depart from their traditional methods of supplying data
to the printer. This resulted in the need for a "mapping document" to accompany
the Job MIB and the mapping is fairly sparse in most cases.
I'm probably just pointing out what is already implied in your statement. But,
I think it is important to know exactly what we are talking about. It's the old
"buy-in" routine, and I'm concerned that there are enough existing potential
solutions to "the problem" that it may be hard to convince some of the benefits
of moving to a new standard.

Harry Lewis

[email-masked] on 02/10/98 03:58:31 PM
Please respond to [email-masked] @ internet
To: [email-masked] @ internet
cc: Harry Lewis/Boulder/IBM@ibmus, [email-masked] @ internet
Subject: Does the world need a robust host-to-device network printing

Paul Moore wrote in the "Submission vs. Monitoring and Management"
thread:

> Now if somebody wants to have a separate debate about writing a really
> robust protocol for interfacing to printers (and I mean the real hardware
> not some logical abstraction) then that will suit me fine. Lets start a new
> track and call it, say, NLS (Not LPD and SNMP). This is what I initially
> wanted to do but could not persuade enough people.

Paul, what people were you unable to persuade?  Internal Microsoft
folks, or PWG folks, or both or what?

For fear of sounding as if I'm beating a dead horse to death:

  Enterprise environments desparately need a fully functional
  host-to-device protocol for network printing.

Am I alone in this belief???  (I know for a fact I am NOT along.)

Will others in the PWG share their views using this new thread?
If this belief turns out to be a minority view, then I'd certainly
like to know (so I can drop the subject once and for all, if so).

 ...jay

----------------------------------------------------------------------
--  JK Martin               |  Email:   [email-masked]          --
--  Underscore, Inc.        |  Voice:   (603) 889-7000              --
--  41C Sagamore Park Road  |  Fax:     (603) 889-2699              --
--  Hudson, NH 03051-4915   |  Web:     http://www.underscore.com   --
----------------------------------------------------------------------

---

From: Paul Moore <[email-masked]>
Date: Fri, 13 Feb 1998 09:41:15 -0800

Building a second protocol based on the model is the worst of both worlds:-
- It is a separate completely non-interoperable protocol (being based on the
same model means nothing in wire terms), would a printer do both?
- It constrains the second protocol to only doing things that IPP can do.

> -----Original Message-----
> From:	Tom Hastings [SMTP:[email-masked]]
> Sent:	Thursday, February 12, 1998 5:23 PM
> To:	Harry Lewis; [email-masked]
> Cc:	[email-masked]; Paul Moore
> Subject:	Re: IPP> Re: Does the world need a robust host-to-device
> network prin
> 
> I agree completely with Harry here.  We need to build on IPP, not start
> anew.
> 
> In fact to further the discussion on defining such a "robust
> host-to-device" 
> network printing protocol (probably NOT across firewalls) and to test
> whether we can really build on IPP (as Harry and I advocate):
> 
>   People that are raising issues with IPP as the "robust host-to-device
>   network printing protocol when not going across firewalls",
>   please indicate whether the problem is with the current IPP Model
> document 
>   or the current IPP protocol document.
> 
> For the problems with the Model document, they may be resolvable by 
> extending the Model, by, say, adding more Printer attributes and maybe
> a Set-Printer-Attributes operation?  And, of course, notification.
> 
> For problems that were with the protocol (mapping) document, the PWG might
> 
> develop a second IPP protocol document for use in the host to printer 
> connection whose semantics would be the same (extended) IPP Model
> document.  
> This second IPP protocol mapping document would be a PWG standard, not an 
> IETF standard, since the document deals with the host to printer
> connection 
> only (and not the Internet).  
> 
> NOTE that some printers would implement both IPP protocol mappings, if
> they 
> wanted to be used across the Internet and in the host to printer
> connection.
> But with the same semantic model, such a dual implementation would not be
> a big burden.
> 
> Tom
> 
> 
> 
> At 16:04 02/10/1998 PST, Harry Lewis wrote:
> >If we were to address a new, standard, host-to-device printing protocol
> >
> >in my opinion, it should be based on the set of attributes defined for
> IPP
> >and the resulting device protocol should be as closely correlated with
> IPP
> >as possible such that the mapping is very straight forward and simple.
> >
> >Harry Lewis
> >
> >

---

From: "Turner, Randy" <[email-masked]>
Date: Fri, 13 Feb 1998 09:54:50 -0800

I disagree. If you have a client-to-server mapping protocol and then a
server-to-printer protocol, the gateway functions and semantics of the
job that the original user submitted would encounter no loss of
information and the gateway logic would be very straightforward. And
besides, I think there's going to be a very (repeat very) fine line
between the two anyway; the main difference probably being NOT using
HTTP as a transport.

Randy

	-----Original Message-----
	From:	Paul Moore [SMTP:[email-masked]]
	Sent:	Friday, February 13, 1998 9:41 AM
	To:	'Tom Hastings'; Harry Lewis; [email-masked]
	Cc:	[email-masked]
	Subject:	RE: IPP> Re: Does the world need a robust
host-to-device network prin

	Building a second protocol based on the model is the worst of
both worlds:-
	- It is a separate completely non-interoperable protocol (being
based on the
	same model means nothing in wire terms), would a printer do
both?
	- It constrains the second protocol to only doing things that
IPP can do.

	> >> robust protocol for interfacing to printers (and I mean the
real
	> hardware
	> >> not some logical abstraction) then that will suit me fine.
Lets start a
	> new
	> >> track and call it, say, NLS (Not LPD and SNMP). This is
what I
	> initially